Bug 64032 - Apache2 Installation fails because of redefining a readonly variable
Apache2 Installation fails because of redefining a readonly variable
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: clement
Depends on:
  Show dependency treegraph
Reported: 2004-03-10 08:40 UTC by schoenfeld
Modified: 2004-04-13 09:26 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description schoenfeld 2004-03-10 08:40:10 UTC
When i tried to install Latest Apache it failed while package install,
stating the following error:

./+INSTALL: line 11: UID: readonly variable

It's refusing to continue the installation.
Same thing when building apache from the ports-three


Well, i fixed the problem when installing from ports by editing the pkg-install script, where the stated line is:

11: UID=80

When i knew that, i've left vi and did run the script trough sed,
changing each UID in the file against something other which could
not be in use as a system var (in my case i just added the S of User behind the U) - Quick and dirty, but it did work.
How-To-Repeat: Well, i don't know if it's something with my current environment,
as i did not update to 5.2.1-RELEASE yet, but if not, there
are 2 ways to repeat the problem

1. pkg_add -r apache 
2. cd /usr/ports/www/apache; make install   

In each case, it's the same if you are gonna build an apache2 instead of the 1.3 branche.
Comment 1 Simon L. B. Nielsen freebsd_committer 2004-03-10 09:01:34 UTC
Responsible Changed
From-To: freebsd-www->freebsd-ports-bugs

Reassign misfiled ports PR.
Comment 2 krion freebsd_committer 2004-03-10 15:22:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clement

Over to maintainer.
Comment 3 sheepkiller 2004-04-05 09:29:20 UTC
Hi !

I don't understand what is your problem.
pkg-install script only add user www/80, 
Can you explain me why you want to change this script, so I can find a solution ?

Comment 4 clement freebsd_committer 2004-04-05 09:29:41 UTC
State Changed
From-To: open->feedback

Waiting for more details.
Comment 5 clement freebsd_committer 2004-04-07 15:24:34 UTC

Did you change your /bin/sh to bash ? ;-)
BTW, it's fixed in CVS.

Comment 6 clement freebsd_committer 2004-04-13 09:26:12 UTC
State Changed
From-To: feedback->closed

Should be fixed now (even if it should never occur)